<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 xmlns:shop="http://typo3.org/ns/CodingMs/Shop/ViewHelpers"
	 data-namespace-typo3-fluid="true">
	<tfoot>

		<shop:variable.set name="colspan" value="5" />
		<shop:variable.set name="colspanLess" value="4" />

		<f:if condition="{vatable}">
			<f:then>
				<f:comment><!-- Basket order is vatable! --></f:comment>

				<tr class="basket-summary-without-tax">
					<td colspan="{colspan}"><f:translate key="tx_shop_label.summary_without_tax" /></td>
					<td id="basket-price-amount-without-tax" class="text-end">
						<span class="nobr"><f:render partial="Price" arguments="{settings: settings, price: basket.priceAsFloat}" /></span>
					</td>
					<f:if condition="{editable}">
						<td>&nbsp;</td>
					</f:if>
				</tr>
				<tr class="basket-summary-tax">
					<td colspan="{colspanLess}"><f:translate key="tx_shop_label.summary_tax" /></td>
					<td id="basket-price-amount-tax-label" class="text-end">
						<f:for each="{basket.taxes}" as="taxSingle">
							<span class="nobr">
								<f:render partial="Percent" arguments="{settings: settings, percent: taxSingle.percentAsFloat}" /> <f:translate key="tx_shop_label.tax" />
							</span>
							<br />
						</f:for>
					</td>
					<td id="basket-price-amount-tax" class="text-end">
						<f:for each="{basket.taxes}" as="taxSingle">
							<span class="nobr"><f:render partial="Price" arguments="{settings: settings, price: taxSingle.valueAsFloat}" /></span>
							<br />
						</f:for>
					</td>
					<f:if condition="{editable}">
						<td>&nbsp;</td>
					</f:if>
				</tr>

				<tr class="basket-summary">
					<td colspan="{colspan}">
						<f:translate key="tx_shop_label.summary" />
						<f:if condition="{basket.isMinimumOrderValueReached} == 0">
							<br />
							<small class="text-danger nobr">
								<f:translate key="tx_shop_label.minimum_order_value" />
								<f:render partial="Price" arguments="{settings: settings, price: basket.minimumOrderValueAsFloat}" />
							</small>
						</f:if>
					</td>
					<td id="basket-price-with-tax" class="text-end {f:if(condition: basket.isMinimumOrderValueReached, then: '', else: 'text-danger')}">
						<span class="nobr"><f:render partial="Price" arguments="{settings: settings, price: basket.priceWithTaxAsFloat}" /></span>
					</td>
					<f:if condition="{editable}">
						<td>&nbsp;</td>
					</f:if>
				</tr>

				<f:if condition="{settings.basketOrder.deliveryTime}">
					<tr class="basket-divider-row">
						<td colspan="{colspan}">&nbsp;</td>
						<td>&nbsp;</td>
						<f:if condition="{editable}">
							<td>&nbsp;</td>
						</f:if>
					</tr>
					<tr class="basket-shipping-time">
						<td colspan="1"><f:translate key="tx_shop_label.delivery_time"/></td>
						<td colspan="{colspan}" class="text-end">{settings.basketOrder.deliveryTime}</td>
						<f:if condition="{editable}">
							<td>&nbsp;</td>
						</f:if>
					</tr>
				</f:if>

				<f:if condition="{f:count(subject: basket.additionalPrices)} > 0">

					<f:for each="{basket.additionalPrices}" key="additionalPriceKey" as="additionalPrice">
						<tr class="basket-summary-{additionalPriceKey}">
							<td colspan="{colspan}">
								{additionalPrice.label}
							</td>
							<td class="text-end">
								<span id="basket-additional-price-{additionalPriceKey}" class="basket-summary-additionalPrice nobr">
									<f:if condition="{additionalPrice.subtract} == 1">-</f:if>
									<f:if condition="{additionalPrice.type} == 'percent'">
										<f:then>
											<f:render partial="Price" arguments="{settings: settings, price: additionalPrice.priceAsFloat}" /><br />
											<small class="text-muted"><f:render partial="Percent" arguments="{settings: settings, percent: additionalPrice.valueAsFloat}" /></small>
										</f:then>
										<f:else>
											<f:render partial="Price" arguments="{settings: settings, price: additionalPrice.priceAsFloat}" />
										</f:else>
									</f:if>
								</span>
							</td>
							<f:if condition="{editable}">
								<td>&nbsp;</td>
							</f:if>
						</tr>
					</f:for>

					<tr class="basket-summary-including-additional-prices">
						<td colspan="{colspan}">
							<f:translate key="tx_shop_label.summary_including_additional_prices" />
						</td>
						<td id="basket-final-price" class="text-end">
							<span class="nobr"><f:render partial="Price" arguments="{settings: settings, price: basket.finalPriceAsFloat}" /></span>
						</td>
						<f:if condition="{editable}">
							<td>&nbsp;</td>
						</f:if>
					</tr>
				</f:if>

			</f:then>
			<f:else>
				<f:comment><!-- Basket order is not vatable! --></f:comment>

				<tr class="basket-summary">
					<td colspan="{colspan}">
						<f:translate key="tx_shop_label.summary" />
						<f:if condition="{basket.isMinimumOrderValueReached} == 0">
							<br />
							<small class="text-danger nobr">
								<f:translate key="tx_shop_label.minimum_order_value" />
								<f:render partial="Price" arguments="{settings: settings, price: basket.minimumOrderValueAsFloat}" />
							</small>
						</f:if>
					</td>
					<td id="basket-price-with-tax" class="text-end {f:if(condition: basket.isMinimumOrderValueReached, then: '', else: 'text-danger')}">
						<span class="nobr"><f:render partial="Price" arguments="{settings: settings, price: basket.priceWithTaxAsFloat}" /></span>
					</td>
					<f:if condition="{editable}">
						<td>&nbsp;</td>
					</f:if>
				</tr>

				<f:if condition="{f:count(subject: basket.additionalPrices)} > 0">

					<tr class="basket-divider-row">
						<td colspan="{colspan}">&nbsp;</td>
						<td>&nbsp;</td>
						<f:if condition="{editable}">
							<td>&nbsp;</td>
						</f:if>
					</tr>

					<f:if condition="{settings.shipping.time}">
						<tr class="basket-shipping-time">
							<td colspan="{colspan}"><f:translate key="tx_shop_label.shipping_time"/></td>
							<td class="text-end">{settings.shipping.time}</td>
							<f:if condition="{editable}">
								<td>&nbsp;</td>
							</f:if>
						</tr>
					</f:if>

					<f:for each="{basket.additionalPrices}" key="additionalPriceKey" as="additionalPrice">
						<tr class="basket-summary-{additionalPriceKey}">
							<td colspan="{colspan}">
								{additionalPrice.label}
							</td>
							<td class="text-end">
								<span id="basket-additional-price-{additionalPriceKey}" class="basket-summary-additionalPrice nobr">
									<f:if condition="{additionalPrice.subtract} == 1">-</f:if>
									<f:if condition="{additionalPrice.type} == 'percent'">
										<f:then>
											<f:render partial="Price" arguments="{settings: settings, price: additionalPrice.priceAsFloat}" /><br />
											<small class="text-muted"><f:render partial="Percent" arguments="{settings: settings, percent: additionalPrice.valueAsFloat}" /></small>
										</f:then>
										<f:else>
											<f:render partial="Price" arguments="{settings: settings, price: additionalPrice.priceAsFloat}" />
										</f:else>
									</f:if>
								</span>
							</td>
							<f:if condition="{editable}">
								<td>&nbsp;</td>
							</f:if>
						</tr>
					</f:for>

					<tr class="basket-summary-including-additional-prices">
						<td colspan="{colspan}">
							<f:translate key="tx_shop_label.summary_including_additional_prices" />
						</td>
						<td id="basket-final-price" class="text-end">
							<span class="nobr"><f:render partial="Price" arguments="{settings: settings, price: basket.finalPriceAsFloat}" /></span>
						</td>
						<f:if condition="{editable}">
							<td>&nbsp;</td>
						</f:if>
					</tr>
				</f:if>

			</f:else>
		</f:if>

	</tfoot>
</div>
